package com.sisoft.radiobox_app;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {
    RadioGroup rg;
    RadioButton rb1, rb2, rb3;
    Button btnsubmit, btnclear;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);

       rg = (RadioGroup)findViewById(R.id.radioGroup);

        rb1 = (RadioButton)findViewById(R.id.radioButton);
        rb2 = (RadioButton)findViewById(R.id.radioButton2);
        rb3 = (RadioButton)findViewById(R.id.radioButton3);

      btnsubmit = (Button)findViewById(R.id.btnsubmit);
        btnclear = (Button)findViewById(R.id.btnclear);

        rg.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup group, int checkedId) {
                if (checkedId == R.id.radioButton) {
                    Toast.makeText(MainActivity.this,
                            "You select excellent", Toast.LENGTH_SHORT).show();
                }
                if (checkedId == R.id.radioButton2) {
                    Toast.makeText(getApplicationContext(),
                            "You select Satisfactory", Toast.LENGTH_SHORT).show();
                }
                if (checkedId == R.id.radioButton3) {
                    Toast.makeText(getApplicationContext(),
                            "You select Below Average", Toast.LENGTH_SHORT).show();
                }
            }
       });

btnclear.setOnClickListener(new View.OnClickListener() {
    @Override
    public void onClick(View v) {
        rg.clearCheck();
        Toast.makeText(MainActivity.this,
                "Clear all buttons", Toast.LENGTH_SHORT).show();
    }
});

        btnsubmit.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                int selectid = rg.getCheckedRadioButtonId();

                if(selectid != -1)
                {
                    RadioButton rb = (RadioButton)findViewById(selectid);
                    Toast.makeText(getApplicationContext(),
                            "You Select Option:" +
                                    rb.getText(), Toast.LENGTH_SHORT).show();
                }
                else
                    Toast.makeText(getApplicationContext(),
                            "Please Select One Option", Toast.LENGTH_SHORT).show();
            }
        });
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
